org.apache.poi.ooxml

## Class POIXMLProperties.CoreProperties

- java.lang.Object
- - org.apache.poi.ooxml.POIXMLProperties.CoreProperties

- Enclosing class:
    POIXMLProperties

      public static class POIXMLProperties.CoreProperties
      extends java.lang.Object

  The core document properties

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCategory()`
    `java.lang.String` | `getContentStatus()`
    `java.lang.String` | `getContentType()`
    `java.util.Date` | `getCreated()`
    `java.lang.String` | `getCreator()`
    `java.lang.String` | `getDescription()`
    `java.lang.String` | `getIdentifier()`
    `java.lang.String` | `getKeywords()`
    `java.lang.String` | `getLastModifiedByUser()`
    `java.util.Date` | `getLastPrinted()`
    `java.util.Date` | `getModified()`
    `java.lang.String` | `getRevision()`
    `java.lang.String` | `getSubject()`
    `java.lang.String` | `getTitle()`
    `PackagePropertiesPart` | `getUnderlyingProperties()`
    `void` | `setCategory(java.lang.String category)`
    `void` | `setContentStatus(java.lang.String contentStatus)`
    `void` | `setContentType(java.lang.String contentType)`
    `void` | `setCreated(java.util.Optional<java.util.Date> date)`
    `void` | `setCreated(java.lang.String date)`
    `void` | `setCreator(java.lang.String creator)`
    `void` | `setDescription(java.lang.String description)`
    `void` | `setIdentifier(java.lang.String identifier)`
    `void` | `setKeywords(java.lang.String keywords)`
    `void` | `setLastModifiedByUser(java.lang.String user)`
    `void` | `setLastPrinted(java.util.Optional<java.util.Date> date)`
    `void` | `setLastPrinted(java.lang.String date)`
    `void` | `setModified(java.util.Optional<java.util.Date> date)`
    `void` | `setModified(java.lang.String date)`
    `void` | `setRevision(java.lang.String revision)`
    `void` | `setSubjectProperty(java.lang.String subject)`
    `void` | `setTitle(java.lang.String title)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getCategory

          public java.lang.String getCategory()

    - #### setCategory

          public void setCategory(java.lang.String category)

    - #### getContentStatus

          public java.lang.String getContentStatus()

    - #### setContentStatus

          public void setContentStatus(java.lang.String contentStatus)

    - #### getContentType

          public java.lang.String getContentType()

    - #### setContentType

          public void setContentType(java.lang.String contentType)

    - #### getCreated

          public java.util.Date getCreated()

    - #### setCreated

          public void setCreated(java.util.Optional<java.util.Date> date)

    - #### setCreated

          public void setCreated(java.lang.String date)

    - #### getCreator

          public java.lang.String getCreator()

    - #### setCreator

          public void setCreator(java.lang.String creator)

    - #### getDescription

          public java.lang.String getDescription()

    - #### setDescription

          public void setDescription(java.lang.String description)

    - #### getIdentifier

          public java.lang.String getIdentifier()

    - #### setIdentifier

          public void setIdentifier(java.lang.String identifier)

    - #### getKeywords

          public java.lang.String getKeywords()

    - #### setKeywords

          public void setKeywords(java.lang.String keywords)

    - #### getLastPrinted

          public java.util.Date getLastPrinted()

    - #### setLastPrinted

          public void setLastPrinted(java.util.Optional<java.util.Date> date)

    - #### setLastPrinted

          public void setLastPrinted(java.lang.String date)

    - #### getLastModifiedByUser

          public java.lang.String getLastModifiedByUser()

      Since:
        POI 3.15 beta 3

    - #### setLastModifiedByUser

          public void setLastModifiedByUser(java.lang.String user)

      Since:
        POI 3.15 beta 3

    - #### getModified

          public java.util.Date getModified()

    - #### setModified

          public void setModified(java.util.Optional<java.util.Date> date)

    - #### setModified

          public void setModified(java.lang.String date)

    - #### getSubject

          public java.lang.String getSubject()

    - #### setSubjectProperty

          public void setSubjectProperty(java.lang.String subject)

    - #### setTitle

          public void setTitle(java.lang.String title)

    - #### getTitle

          public java.lang.String getTitle()

    - #### getRevision

          public java.lang.String getRevision()

    - #### setRevision

          public void setRevision(java.lang.String revision)

    - #### getUnderlyingProperties

          public PackagePropertiesPart getUnderlyingProperties()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.